package com.fdkankan.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;


@Component
@ConfigurationProperties(prefix = "file.route")
public class FileRouteConfig {
    /**
     * 路径
     */
    //保存硬盘地址
    private String hardDisk;
	//保存硬盘地址(激光相机)
	private String hardDiskLaser;
    //默认图片类型文件夹
    private String imageFolder;
    //默认文件类型文件夹
    private String documentFolder;
    //默认的视频类型文件夹
    private String videoFolder;
    //默认的音频类型文件夹
    private String musicFolder;
    //允许上传的ip(上传白名单)
    private String[] IPs;
    /**
     * 类型
     */
    //图片类型
    private String[] imageType;
    //文件类型
    private String[] documentType;
    //视频类型
    private String[] videoType;
    //音频类型
    private String[] musicType;
	public String getHardDisk() {
		return hardDisk;
	}
	public String getHardDiskLaser() {
		return hardDiskLaser;
	}
	public String getImageFolder() {
		return imageFolder;
	}
	public String getDocumentFolder() {
		return documentFolder;
	}
	public String getVideoFolder() {
		return videoFolder;
	}
	public String getMusicFolder() {
		return musicFolder;
	}
	public String[] getIPs() {
		return IPs;
	}
	public String[] getImageType() {
		return imageType;
	}
	public String[] getDocumentType() {
		return documentType;
	}
	public String[] getVideoType() {
		return videoType;
	}
	public String[] getMusicType() {
		return musicType;
	}
	public void setHardDisk(String hardDisk) {

		this.hardDisk = hardDisk;
	}
	public void setHardDiskLaser(String hardDiskLaser) {

		this.hardDiskLaser = hardDiskLaser;
	}
	public void setImageFolder(String imageFolder) {
		this.imageFolder = imageFolder;
	}
	public void setDocumentFolder(String documentFolder) {
		this.documentFolder = documentFolder;
	}
	public void setVideoFolder(String videoFolder) {
		this.videoFolder = videoFolder;
	}
	public void setMusicFolder(String musicFolder) {
		this.musicFolder = musicFolder;
	}
	public void setIPs(String[] iPs) {
		IPs = iPs;
	}
	public void setImageType(String[] imageType) {
		this.imageType = imageType;
	}
	public void setDocumentType(String[] documentType) {
		this.documentType = documentType;
	}
	public void setVideoType(String[] videoType) {
		this.videoType = videoType;
	}
	public void setMusicType(String[] musicType) {
		this.musicType = musicType;
	}
    
    
}
